Subject: Re: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Tue, 09 Feb 2021 20:43:43 +0000

Justin Schell <[email-masked]> writes:

>> I think the idea would be ~ to:
>>
>> - compile with debug symbols
>>
>> - start gdb loading emacs
>>
>> - source .gdbinit
>>
>> - add a breakpoint in 'wrong_type_argument'
>>
>> - run Emacs and let the error happen
>>
>> - At this point gdb should take control and you should be able to type
>>   'bt' to obtain and report the backtrace
>
> Hi Andrea,
>
> So, I was able to build emacs with debug symbols and run via gdb as
> directed above, but unfortunately, gdb doesn't hit the breakpoint when
> I run `M-x report-emacs-bug`. gdb does break quite a few times (770
> times, to be exact) on `wrong_type_argument` during startup, though. I
> looked at the emacs source a bit to try to put a breakpoint somewhere
> that would be more fruitful, but I didn't really see where I would do
> so.

I think we are likely to be interested only in the last occurence.  You
can ignore the breakpoint 769 times to see what's going on:

(gdb) b wrong_type_argument
Breakpoint 5 at 0x58a0a2: file data.c, line 143.
(gdb) ignore 5 769
Will ignore next 769 crossings of breakpoint 5.
(gdb) run

Thanks

  Andrea